=== example/ansi/CMakeLists.txt ===
ADD_EXAMPLE(ansi_color)
ADD_EXAMPLE(ansi_combine)
ADD_EXAMPLE(ansi_concat)
ADD_EXAMPLE(ansi_to_string)
