=== example/error/CMakeLists.txt ===
ADD_EXAMPLE(check1)
set_tests_properties(check1 PROPERTIES WILL_FAIL true)
ADD_EXAMPLE(check2)
set_tests_properties(check2 PROPERTIES WILL_FAIL true)
ADD_EXAMPLE(check3)
ADD_EXAMPLE(check4)
set_tests_properties(check4 PROPERTIES SKIP_RETURN_CODE 77)
ADD_EXAMPLE(error_stop1)
set_tests_properties(error_stop1 PROPERTIES WILL_FAIL true)
ADD_EXAMPLE(error_stop2)
set_tests_properties(error_stop2 PROPERTIES WILL_FAIL true)
ADD_EXAMPLE(error_state1)
ADD_EXAMPLE(error_state2)
