=== example/hashmaps/CMakeLists.txt ===
ADD_EXAMPLE(hashmaps_calls)
ADD_EXAMPLE(hashmaps_copy_key)
ADD_EXAMPLE(hashmaps_entries)
ADD_EXAMPLE(hashmaps_equal_keys)
ADD_EXAMPLE(hashmaps_fnv_1a_hasher)
ADD_EXAMPLE(hashmaps_fnv_1_hasher)
ADD_EXAMPLE(hashmaps_free_key)
ADD_EXAMPLE(hashmaps_get)
ADD_EXAMPLE(hashmaps_get_all_keys)
ADD_EXAMPLE(hashmaps_get_other_data)
ADD_EXAMPLE(hashmaps_hasher_fun)
ADD_EXAMPLE(hashmaps_init)
ADD_EXAMPLE(hashmaps_key_test)
ADD_EXAMPLE(hashmaps_loading)
ADD_EXAMPLE(hashmaps_map_entry)
ADD_EXAMPLE(hashmaps_num_slots)
ADD_EXAMPLE(hashmaps_probes)
ADD_EXAMPLE(hashmaps_rehash)
ADD_EXAMPLE(hashmaps_remove)
ADD_EXAMPLE(hashmaps_seeded_nmhash32_hasher)
ADD_EXAMPLE(hashmaps_seeded_nmhash32x_hasher)
ADD_EXAMPLE(hashmaps_seeded_water_hasher)
ADD_EXAMPLE(hashmaps_set)
ADD_EXAMPLE(hashmaps_set_other_data)
ADD_EXAMPLE(hashmaps_slots_bits)
ADD_EXAMPLE(hashmaps_total_depth)
