=== example/intrinsics/CMakeLists.txt ===
ADD_EXAMPLE(sum)
ADD_EXAMPLE(dot_product)
ADD_EXAMPLE(matmul)
