=== example/io/CMakeLists.txt ===
ADD_EXAMPLE(fmt_constants)
#ADD_EXAMPLE(get_line)
ADD_EXAMPLE(get_file)
ADD_EXAMPLE(loadnpy)
ADD_EXAMPLE(loadtxt)
ADD_EXAMPLE(open)
ADD_EXAMPLE(savenpy)
ADD_EXAMPLE(savetxt)
