=== example/math/CMakeLists.txt ===
ADD_EXAMPLE(clip_integer)
ADD_EXAMPLE(clip_real)
ADD_EXAMPLE(diff)
ADD_EXAMPLE(gcd)
ADD_EXAMPLE(linspace_complex)
ADD_EXAMPLE(linspace_int16)
ADD_EXAMPLE(logspace_complex)
ADD_EXAMPLE(logspace_int)
ADD_EXAMPLE(logspace_rstart_cbase)
ADD_EXAMPLE(math_all_close)
ADD_EXAMPLE(math_arange)
ADD_EXAMPLE(math_argd)
ADD_EXAMPLE(math_arg)
ADD_EXAMPLE(math_argpi)
ADD_EXAMPLE(math_deg2rad)
ADD_EXAMPLE(math_rad2deg)
ADD_EXAMPLE(math_is_close)
ADD_EXAMPLEPP(math_swap)
ADD_EXAMPLE(meshgrid)
