=== example/sorting/CMakeLists.txt ===
ADD_EXAMPLE(ord_sort)
ADD_EXAMPLE(sort)
ADD_EXAMPLE(sort_adjoint)
ADD_EXAMPLE(sort_index)
ADD_EXAMPLE(radix_sort)
if (STDLIB_BITSETS)
  ADD_EXAMPLE(sort_bitset)
endif()
