## fortran-stdlib 0.7.0

=== debian/changelog ===
fortran-stdlib (0.7.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1124664)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 07:07:39 +0000
