## fortran-stdlib 0.8.1

=== debian/changelog ===
fortran-stdlib (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Change license labels MIT->Expat
  * d/control formatting, via cme
  * http: to https: for github source
  * Add d/watch file
  * Add d/gbp.conf, pristine=tar=True

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Feb 2026 08:13:57 +0000
