=== debian/control ===
Source: fortran-stdlib
Standards-Version: 4.7.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Section: utils
Build-Depends:
 debhelper-compat (= 13),
 dh-fortran,
 gfortran | fortran-compiler,
 libfortran-testdrive-dev,
 python3,
 python3-joblib,
 fypp,
 ford [!loong64],
Vcs-Browser: https://salsa.debian.org/science-team/fortran-stdlib
Vcs-Git: https://salsa.debian.org/science-team/fortran-stdlib.git -b debian/latest
Homepage: https://github.com/fortran-lang/stdlib

Package: libfortran-stdlib-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends},
 ${fortran:Depends},
 libfortran-stdlib-0 ( = ${binary:Version}),
Recommends:
 pkgconf,
Description: Fortran Standard Library - development files
 The Fortran Standard Library aims to provide a community driven and agreed 
 upon de facto "standard" library for Fortran, covering:
  * Utilities (containers, strings, files, OS/environment integration,
   unit testing & assertions, logging, ...)
  * Algorithms (searching and sorting, merging, ...)
  * Mathematics (linear algebra, sparse matrices, special functions, 
   fast Fourier transform, random numbers, statistics, ordinary differential
   equations, numerical integration, optimization, ...)
 This package provides the static library and Fortran module files.

Package: libfortran-stdlib-0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fortran Standard Library - shared library
 The Fortran Standard Library aims to provide a community driven and agreed 
 upon de facto "standard" library for Fortran, covering:
  * Utilities (containers, strings, files, OS/environment integration,
   unit testing & assertions, logging, ...)
  * Algorithms (searching and sorting, merging, ...)
  * Mathematics (linear algebra, sparse matrices, special functions, 
   fast Fourier transform, random numbers, statistics, ordinary differential
    equations, numerical integration, optimization, ...)
 This package provides the shared library.
