=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --with fortran --buildsystem=fortran

FLIBDIR=$(shell dh_fortran get_flibdir)
FMODDIR=$(shell dh_fortran get_fmoddir)
export FPM_LDFLAGS=-L$(FLIBDIR)
export FPM_FFLAGS=-I$(FMODDIR)

execute_before_dh_auto_clean:
	-find . -name temp -exec rm -rf {} \;

override_dh_auto_build:
	python3 config/fypp_deployment.py --build 

override_dh_auto_test:
	fpm test --flag -I${FMODDIR}/testdrive --link-flag -L${FLIBDIR}
